[package]
name = "scan_controller"
version = "0.1.0"
edition.workspace = true
rust-version.workspace = true
license.workspace = true
publish.workspace = true
authors.workspace = true

[dependencies]
shared = { workspace = true }
mapobjects_store = { workspace = true }
gimbal_controller = { workspace = true }
semantic_analyzer = { workspace = true }
operator_bridge = { workspace = true }
mission_executor = { workspace = true }
tokio = { workspace = true }
tracing = { workspace = true }
serde = { workspace = true }
uuid = { workspace = true }
